#ifndef __INC_POS_PSCREEN_SCRCB_H
#define __INC_POS_PSCREEN_SCRCB_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>ScrCB.h<<   09 Jan 1997    09:47:00 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_CALLBACK_H
#include <pExec/CallBack.h>
#endif


/*----------------------------------
-----------------------------------*/
struct pOS_ScreenCallbackData
{
  UBYTE scb_Method; /* (enum pOS_ScreenCallbackMethods) */
  UBYTE scb_Type;   /* (enum pOS_ScreenCallbackTypes) */

  union {
    struct pOS_Screen *scb_Screen;  /* scb_Type==SCRCBTYP_Screen */
    struct pOS_Window *scb_Window;  /* scb_Type==SCRCBTYP_Window */
  } scb_TU;

  union {
    struct { /** SCRCBMTH_Drag **/
      SLONG  scbd_X;
      SLONG  scbd_Y;
    } scb_Drag;

    struct { /** SCRCBMTH_Size **/
      ULONG  scbs_Width;
      ULONG  scbs_Height;
    } scb_Size;

  } scb_U;

};


enum pOS_ScreenCallbackMethods
{
  SCRCBMTH_Drag = 1,
  SCRCBMTH_Size,
};

enum pOS_ScreenCallbackTypes
{
  SCRCBTYP_Screen = 1,
  SCRCBTYP_Window,
};



#endif
